#!/bin/bash

#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#

# set the CLASSPATH
QPID_DEPS=`find /usr/share/java/qpid-deps/*.jar | tr '\n' ":"`
QPID_JARS=`find /usr/share/java -name 'qpid-client*.jar' -or -name 'qpid-common*.jar' | tr '\n' ":"`
LOG4J="/usr/share/java/log4j.jar"
QPID_CLASSPATH=$QPID_DEPS$LOG4J:$QPID_JARS

# compile the samples
javac -cp  "$QPID_CLASSPATH" -sourcepath "$PWD" -d . `find $PWD -name '*.java'`

# Add output classes to CLASSPATH
QPID_CLASSPATH="$PWD:$QPID_CLASSPATH"


# Check if the user supplied a sample classname
if test "'x$1'" = "'x'"
then
    echo "No sample classname specified"
    exit;
else
    java -cp $QPID_CLASSPATH -Dlog4j.configuration=example.log4j "$@"
fi

